Package org.oasis_open.docs.ws_calendar.ns.soap

# Class BaseRequestType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

Direct Known Subclasses:
  `AddItemType`, `CalendarQueryOrMultigetBaseType`, `DeleteItemType`, `FetchItemType`, `FreebusyReportType`, `GetPropertiesType`, `MultiOpType`, `UpdateItemType`

public class BaseRequestType extends Object
Requests have this as the base type.

Java class for BaseRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BaseRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="href" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}int" default="0" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `href`
  `protected Integer`
  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Gets the value of the href property.
  `int`
  `getId()`
  Gets the value of the id property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.
  `void`
  `setId(Integer value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### id

    protected Integer id

- ## Constructor Details

  - ### BaseRequestType

    public BaseRequestType()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public int getId()
    Gets the value of the id property.
    Returns:
      possible object is `Integer`

  - ### setId

    public void setId(Integer value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `Integer`